Page MenuHomePhabricator

Replace tracking bug T33235 by new project tag #wikimedia-extension-review-queue
Closed, ResolvedPublic

Event Timeline

Bugreporter raised the priority of this task from to Needs Triage.
Bugreporter updated the task description. (Show Details)
Bugreporter added a project: Project-Admins.
Bugreporter added subscribers: Bugreporter, Aklapper.

"review-queue" sounds way too vague. Better name needed.

Extension-Review-Queue?

Aklapper triaged this task as Lowest priority.Jun 16 2015, 5:05 PM
Danny_B updated the task description. (Show Details)Feb 14 2016, 12:42 AM
Danny_B set Security to None.
mmodell renamed this task from Replace tracking bug T33235 by new project tag "review-queue" to Replace tracking bug T33235 by new project tag "extension-review-queue".Jun 8 2016, 3:59 PM
mmodell added a subscriber: mmodell.

Extension-Review-Queue?

+1

From the tracking task itself (where a few of us were discussing this back in September 2015...

Based on https://www.mediawiki.org/wiki/Review_queue, #Wikimedia-Deployment-Review-Queue? "Wikimedia" or "Queue" are candidates to be cut if the name is still too long.

There is Wikimedia-Extension-setup but I'd prefer we merge that into Wikimedia-Site-requests and either reuse it for, or have a separate project for, new (I.e. currently not deployed to wikimedia production at all) extension deployment requests (as opposed to the common already-in-prod extension deployment requests that can be as simple as the config changes).

I like merging #-extension-setup and #-site-requests and adding #wikimedia-production-review
-production-review would be for tracking reviews for all new things going to production that might need it. IOW, not just extensions as it could be a new (micro)service.
I explicitly removed "queue" from the name as it's not exactly a queue, and that doesn't help a user figure out the purpose of the project.
I used "production" as that's what this is really about and it clarifies that caring about production level architecture is needed (database interaction/performance review, as needed, for example).

oh, and to be clear, we need to make it clear in the description of the project what the policy/procedure is (like to that /Review_queue page, I suppose) and make sure that people only add the single tracking task per thing (service/extension/whatever) is in this project. We don't want 4+ tasks (security, design, community-consensus, etc) per thing in this project, that's too much noise. :-)

+1 to greg's last two comments.

greg added a comment.Jul 29 2016, 5:25 AM

so #extension-review-queue or #wikimedia-production-review ?

Heh, I like #wikimedia-production-review better than what I proposed over a year ago.

greg renamed this task from Replace tracking bug T33235 by new project tag "extension-review-queue" to Replace tracking bug T33235 by new project tag "#wikimedia-production-review".Aug 2 2016, 5:14 PM
greg raised the priority of this task from Lowest to Normal.
greg added a comment.Aug 2 2016, 5:17 PM

Upping priority because of the ORES incident yesterday which one part was a service not being setup in Beta Cluster properly before it going to production (see T141825).

In T102512#2504339 I said that it'd probably be good to combine new extensions and services into this queue as they have similar review processes. If combining is a bad idea we can separate them out.

I'll open another task about clarifying the pre-deploy checklist for new services. If that one turns out to want a distinct project then we'll go with @Legoktm 's original project name.

greg added a comment.Aug 2 2016, 5:32 PM

I'll open another task about clarifying the pre-deploy checklist for new services. If that one turns out to want a distinct project then we'll go with @Legoktm 's original project name.

T141897: Review new service 'pre-deployment to production' checklist

Support migration. The task graph is unusable due to too many tasks; #wikimedia-production-review sounds good. Can a bot be tasked to do it to avoid spamming IRC/email inboxes? Thanks!

Afraid of bikeshedding, but #wikimedia-production-review can mean a lot ("This software bug in production should really get reviewed and fixed!").
If there is no such review process for non-production, could #deployment-review-requests suffice? (Though that could still cover requests for SWAT?)

wikimedia-extension-review-queue perhaps?

greg added a comment.Aug 24 2017, 4:13 PM

wikimedia-extension-review-queue perhaps?

+1.
</bikeshed>

mmodell renamed this task from Replace tracking bug T33235 by new project tag "#wikimedia-production-review" to Replace tracking bug T33235 by new project tag #wikimedia-extension-review-queue.Aug 25 2017, 8:33 PM
greg added a comment.Aug 25 2017, 9:49 PM

All open tasks are now in that tag. Done? I guess if there's any follow-up (organization etc) that can happen elsewhere.

MarcoAurelio closed this task as Resolved.Aug 26 2017, 9:45 AM
MarcoAurelio assigned this task to mmodell.

I've tagged the renaming ones, marked the tracking bug as superseded, closed them and unlinked all parent tasks as per MediaWiki guidelines.